Archi Forum

Discussion Boards => jArchi => Topic started by: Alberto on November 11, 2021, 21:15:04 PM

Title: Script error
Post by: Alberto on November 11, 2021, 21:15:04 PM
I've been using the MergeTwoElements.ajs (https://gist.github.com/adgerrits/2390d4ef0560d26aac4350a533c0a3f6) script but I think since I upgraded to 4.9.1 and started using specialization, I've been getting the following error:

Script Error: java.lang.NoClassDefFoundError: com/archimatetool/editor/preferences/Preferences

What am I missing?
Title: Re: Script error
Post by: Phil Beauvoir on November 11, 2021, 21:19:40 PM
Are you using jArchi 1.2? This version is required for Archi 4.9.x
Title: Re: Script error
Post by: Alberto on November 12, 2021, 17:46:58 PM
Yup, that did it.
Thanks